// contdispDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CContdispDlg dialog
//{{AFX_INCLUDES()
#include "dtacq32.h"
#include "dtplot32.h"
//}}AFX_INCLUDES

class CContdispDlg : public CDialog
{
// Construction
public:
	CContdispDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CContdispDlg)
	enum { IDD = IDD_CONTDISP_DIALOG };
	CButton	m_btnStop;
	CButton	m_btnStart;
	CDTAcq32	m_ADC;
	CDTPlot32	m_Plot1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CContdispDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CContdispDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnBufferDoneAdc();
	afx_msg void OnQueueDoneAdc();
	afx_msg void OnTriggerErrorAdc();
	afx_msg void OnOverrunErrorAdc();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
